org.jboss.netty.handler.codec.http.multipart

## Class MemoryAttribute

- java.lang.Object
- - org.jboss.netty.handler.codec.http.multipart.AbstractHttpData
  - - org.jboss.netty.handler.codec.http.multipart.AbstractMemoryHttpData
    - - org.jboss.netty.handler.codec.http.multipart.MemoryAttribute

All Implemented Interfaces:
  Comparable<InterfaceHttpData>, Attribute, HttpData, InterfaceHttpData

    public class MemoryAttribute
    extends AbstractMemoryHttpData
    implements Attribute

Memory implementation of Attributes

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.handler.codec.http.multipart.InterfaceHttpData

`InterfaceHttpData.HttpDataType`

### Field Summary

### Fields inherited from class org.jboss.netty.handler.codec.http.multipart.AbstractMemoryHttpData

`isRenamed`

### Fields inherited from class org.jboss.netty.handler.codec.http.multipart.AbstractHttpData

`charset, completed, definedSize, name, size`

### Constructor Summary

Constructors
Constructor and Description
`MemoryAttribute(String name)`
`MemoryAttribute(String name, String value)`

### Method Summary

Methods
`void` `addContent(ChannelBuffer buffer, boolean last)` Add the content from the ChannelBuffer
`int` `compareTo(Attribute o)`
`int` `compareTo(InterfaceHttpData arg0)`
`boolean` `equals(Object o)`
`InterfaceHttpData.HttpDataType` `getHttpDataType()`
`String` `getValue()` Returns the value of this HttpData.
`int` `hashCode()`
`void` `setValue(String value)` Sets the value of this HttpData.
`String` `toString()`

### Methods inherited from class org.jboss.netty.handler.codec.http.multipart.AbstractMemoryHttpData

`delete, get, getChannelBuffer, getChunk, getFile, getString, getString, isInMemory, renameTo, setContent, setContent, setContent`

### Methods inherited from class org.jboss.netty.handler.codec.http.multipart.AbstractHttpData

`getCharset, getName, isCompleted, length, setCharset`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.jboss.netty.handler.codec.http.multipart.HttpData

`delete, get, getChannelBuffer, getCharset, getChunk, getFile, getString, getString, isCompleted, isInMemory, length, renameTo, setCharset, setContent, setContent, setContent`

### Methods inherited from interface org.jboss.netty.handler.codec.http.multipart.InterfaceHttpData

`getName`

### Constructor Detail

#### MemoryAttribute

    public MemoryAttribute(String name)

#### MemoryAttribute

    public MemoryAttribute(String name,
                   String value)
                    throws IOException

Parameters:
  `name` -
  `value` -
Throws:
  `NullPointerException`
  `IllegalArgumentException`
  `IOException`

### Method Detail

#### getHttpDataType

    public InterfaceHttpData.HttpDataType getHttpDataType()

Specified by:
  `getHttpDataType` in interface `InterfaceHttpData`
Returns:
  The HttpDataType

#### getValue

    public String getValue()

Description copied from interface: `Attribute`
Returns the value of this HttpData.

Specified by:
  `getValue` in interface `Attribute`

#### setValue

    public void setValue(String value)
                  throws IOException

Description copied from interface: `Attribute`
Sets the value of this HttpData.

Specified by:
  `setValue` in interface `Attribute`
Throws:
  `IOException`

#### addContent

    public void addContent(ChannelBuffer buffer,
                  boolean last)
                    throws IOException

Description copied from interface: `HttpData`
Add the content from the ChannelBuffer

Specified by:
  `addContent` in interface `HttpData`
Overrides:
  `addContent` in class `AbstractMemoryHttpData`
Parameters:
  `buffer` - must be not null except if last is set to False
  `last` - True of the buffer is the last one
Throws:
  `IOException`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### compareTo

    public int compareTo(InterfaceHttpData arg0)

Specified by:
  `compareTo` in interface `Comparable<InterfaceHttpData>`

#### compareTo

    public int compareTo(Attribute o)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`